'use strict'

exports.__esModule = true
exports.default = void 0

var _react = _interopRequireDefault(require('react'))

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : {default: obj}
}

const {useCallback} = _react.default

const setRef = (ref, value) => {
  if (typeof ref === 'function') {
    ref(value)
  } else if (ref !== null && typeof ref === 'object') {
    ref.current = value
  }
}

const useMergedRef = (...args) =>
  useCallback(element => {
    if (args.length === 2) {
      setRef(args[0], element)
      setRef(args[1], element)
    } else {
      for (let i = 0; i < args.length; i++) setRef(args[i], element)
    }
  }, args)

var _default = useMergedRef
exports.default = _default
